var select_paytype=function(paytype,userid){
	if(paytype=='bank'){
			$('a.bank').addClass('selected');
			$('a.card').removeClass('selected');
			$('a.alipay').removeClass('selected');
			$('a.tenpay').removeClass('selected');
			$('#cards_info').hide();
			//$('#cards_content').html('');
		} else if(paytype=='card'){
			$('a.bank').removeClass('selected');
			$('a.card').addClass('selected');
			$('a.alipay').removeClass('selected');
			$('a.tenpay').removeClass('selected');
			$('#cards_info').show();
		} else if(paytype=='alipay'){
			$('a.bank').removeClass('selected');
			$('a.card').removeClass('selected');
			$('a.alipay').addClass('selected');
			$('a.tenpay').removeClass('selected');
			$('#cards_info').hide();
		} else if(paytype=='tenpay'){
			$('a.bank').removeClass('selected');
			$('a.card').removeClass('selected');
			$('a.alipay').removeClass('selected');
			$('a.tenpay').addClass('selected');
			$('#cards_info').hide();
			}
			
	$.post('ajax/get_paytype.asp' , {ptype:paytype,uid:userid} , function(data){
		$('.show_paytype').html(data);
		})
	}
	
var select_pid=function(pid,bt){
	var goodid=parseInt($('[name=goodid]').val());
	$.post('ajax/get_pay_bili.asp' , {pid:pid,goodid:goodid} ,function(data){
		var data_arr=data.split('|');
		$('#cards_content').html(data_arr[1]);
		$('.card_bili').html(data_arr[0]);
		get_pay_money();
//		if($('a.bank').hasClass('selected')){
//			if(bt=='bank'){
//				$('.card_name').html('[网银]');
//			}else if(bt=='alipay'){
//				$('.card_name').html('[兑换宝]');
//				$('[name=bankid]').val(pid);
//				}else if(bt=='tenpay'){
//				$('.card_name').html('[财付通]');
//				$('[name=bankid]').val(pid);
//					}
//			} else{
			$('.card_name').html('['+$('input[name=pid]:checked').next('label').text()+']');
//			}
		})		
	}
	
var select_goods=function(cateid){
	$('span#goods_list').show();
	$.post('ajax/get_goods_list.asp' , {cid:cateid} ,function(data){
		$('span#goods_list').html(data);
		})
	}
	
var select_goods_info=function(goodid){
	$('#buy_quantity').show();
	$('span#good_price').html('<img src="images/load.gif" alt="加载中..." />');
	$('span#good_quantity').html('<img src="images/load.gif" alt="加载中..." />');
	$('span#good_jieshao').html('<img src="images/load.gif" alt="加载中..." />');
	$.post('ajax/get_goods_info.asp' , {gid:goodid} , function(data){
		var data_arr=data.split('|');
		$('span#good_price').html(data_arr[0]);
		$('#buy_quantity2').val(data_arr[1]);	
		if(data_arr[2]==''){
			$('span#good_jieshao').html('暂无介绍');
		} else {
			$('span#good_jieshao').html(data_arr[2]);
			}

		if(data_arr[1] >= 150){
			$('span#good_quantity').html('库存非常多');
			} else if(data_arr[1] >= 100) {
			$('span#good_quantity').html('库存很多');
			} else if(data_arr[1]>=50) {
			$('span#good_quantity').html('库存一般');
			} else if(data_arr[1]>=10) {
			$('span#good_quantity').html('库存少量');
			} else if(data_arr[1]>=1) {
			$('span#good_quantity').html('当前库存为'+data_arr[1]);
			} else if(data_arr[1]==0) {
			$('#buy_quantity').hide();
			//$('#buy_quantity').val('0');
			$('span#good_quantity').html('该物品没有库存了，选择其他物品看看！');
			alert('该物品没有库存了,请联系该软件客服或选择其他物品看看！');
			}


//			if(data_arr[1]>=100){
//			$('span#good_quantity').html('库存充足');
//			} else if(data_arr[1]==0) {
//			$('span#good_quantity').html('库存为空，请选择其他物品！');
//				} else {
//			$('span#good_quantity').html('当前库存为'+data_arr[1]);
//			}
		get_pay_money();
		})
	}

var get_pay_money=function(){
	var good_price=parseFloat($('span#good_price').html());
	var buy_quantity=parseFloat($('#buy_quantity').val());
	var bili=parseFloat($('.card_bili').html());
	var paymoney=good_price*buy_quantity;
	var card_bili=bili/100;
	var paymoney2=good_price*buy_quantity/card_bili;
	$('.pay_money').html(paymoney.toFixed(2));
	$('.pay_real_money').html(paymoney2.toFixed(2));
	}
	
var select_card_quantity=function(qt){
	var $li_content=$('#cards_content ul li:first').remove();
	$('#cards_content ul li').remove();
	$li_content.appendTo('#cards_content ul');
	for(var i=2;i<=qt;i++){
		$('#cards_content ul li:first').clone().appendTo('#cards_content ul');
		}
	}
	
var select_buy_quantity=function(){	
	get_pay_money();
	var buy_quantity=parseInt($('#buy_quantity').val());
	var buy_quantity2=parseInt($('#buy_quantity2').val());
	if(buy_quantity>buy_quantity2){
		alert('当前输入的购买数量大于库存量！');
		$('#buy_quantity').val(buy_quantity2);
		get_pay_money();
		return false;
		}
	if(isNaN(buy_quantity) || buy_quantity<=0){
		$('#buy_quantity').val(1);
		get_pay_money();
		}
	}
	
var check_cardlength=function(cardid,ctype){
	var cname;
	if(ctype=='cardnum'){
		cname="卡号"; 
		}else{
			cname="卡密";
			}
	//$.post('ajax/check_cardlength.asp' , {cardid:cardid,ctype:ctype} , function(data){
	//		if(data!=""){
				//if($('[name='+ctype+']').length()!=data){
				//$('.'+ctype+'_length').html('请输入'+data+'位的'+cname);
				//}
		//	}
		//})
	}
	
var check_submit_form=function(){
	if($('[name=checkbox]').attr('checked')!='checked'){
		alert('同意并认真阅读用户合作协议！');
		return false;
		}
	if($('[name=goodscate]').val()==''){
		alert('请选择物品分类！');
		return false;
		}
	if($('[name=goodid]').val()==''){
		alert('请选择物品！');
		return false;
		}
	if($('#contact').val()==''){
		alert('请填写联系方式！');
		return false;
		}
	if($('#buy_quantity2').val()==0){
		alert('物品库存为空，暂不能购买！');
		return false;
		}
		var radio_status=false;
	$(':radio').each(function(){
		if(this.checked){radio_status=true}
		})
		if(radio_status==false){
		alert('请选择兑换方式！');
		return false;
		}
	if($('a.card').hasClass('selected')){
		cardtype_status=false;
		$('[name=cardtype]').each(function(){
			if($(this).val()==''){cardtype_status=true;}
			})
		if(cardtype_status==true){
				alert('请选择充值卡面值！');
				return false;
			}
			
		cardnum_status=false;
		$('[name=cardnum]').each(function(){
			if($(this).val()==''){cardnum_status=true;}
			})
		if(cardnum_status==true){
				alert('请填写充值卡卡号！');
				return false;
			}
			
		cardpwd_status=false;
		$('[name=cardpwd]').each(function(){
			if($(this).val()==''){cardpwd_status=true;}
			})
		if(cardpwd_status==true){
				alert('请填写充值卡密码！');
				return false;
			}
		}
	return true;
	}